{#
/**
 * @file
 * Theme override for a single link.
 *
 * Available variables:
 * - menu_item: An associative array with 'url' and 'title' keys representing
 *   URL and Title of the task.
 * - is_active: A flag indiating that this is the curren route.
 * - is_dropdown_toggle: A flag indicating if this a dropdown (menu) trigger.
 * - is_dropdown_toggle_static: A flag indicating if the dropdown should be
 *   static or absolute.
 * - link_classes: Extra classes
 *
 * This is a custom DROWL Base SDC (not Radix based).
 */
#}

{# Prepare Link Attributes #}
{% set link_attributes = create_attribute() %}
{% set item_is_nolink = menu_item.url.isRouted() and menu_item.url.getRouteName() == "<nolink>" %}
{% set link_label = menu_item_label|default(menu_item.title) %}
{% set link_content %}
  {% block label %}
    {{ link_label }}
  {% endblock label %}
{% endset %}
{% set link_description = item.content.description.0['#context'].value %}
{% set link_classes = [
  not remove_nav_link_class ? 'nav-link',
  is_dropdown_toggle and not is_nav_link ? 'dropdown-item',
  is_active ? 'active',
  is_dropdown_toggle ? 'dropdown-toggle'
]|merge(nav_item_link_utility_classes ?: []) %}

{% if is_dropdown_toggle and not is_hover_nav %}
  {% set link_attributes = link_attributes.setAttribute('data-bs-toggle', 'dropdown') %}
  {% if is_dropdown_toggle_static %}
    {% set link_attributes = link_attributes.setAttribute('data-bs-display', 'static') %}
    {% set link_attributes = link_attributes.setAttribute('data-bs-auto-close', 'false') %}
  {% endif %}
{% endif %}

{# TODO: Check if child themes are able to only override the twig file of a
component, if not, the blocks in this file are useless? #}
{% block link %}
  {%- if menu_item.url and (not item_is_nolink) %}
    {{ link(link_content, menu_item.url, link_attributes.addClass(link_classes)) }}
  {% else %}
    <div{{ link_attributes.addClass(link_classes) }}>{{ link_content }}</div>
  {% endif -%}
{% endblock link %}
